#pragma once

#include "ScriptletContainerFactory.h"
#include "ListBox.h"

namespace tipuio
{
	class NPCOMMONUI_API PadListItem : public Item
	{
	public:
		PadListItem(CString name, TiXmlElement* node) 
		{
			m_NodeName = name;
			m_NodeLayout = node;
		}
		virtual ~PadListItem() {}

		//override
		CString ToString()
		{
			return m_NodeName;
		}
		
		TiXmlElement* GetNode() { return m_NodeLayout; }
	private:
		CString m_NodeName;
		TiXmlElement* m_NodeLayout;
	};
	class NPCOMMONUI_API PadListBox : public CListBox
	{
	public:
		DECLARE_COMPONENT_CREATOR(PadListBox)
		PadListBox(void) {}
		virtual ~PadListBox(void) {}

		//override
		void OnCreate();

	private:
		void ListUpLayout();
	};
	class NPCOMMONUI_API SelectLayoutAction : public IItemListener
	{
	public:
		DECLARE_PROPERTY_CONTAINER(SelectLayoutAction)
		SelectLayoutAction() {}
		virtual ~SelectLayoutAction() {}

		void OnSelect(Item* item);
		void OnUnselect(Item* item);
	};
};
